| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::SparsePyrLKOpticalFlow Class Referenceabstract
Video Analysis » Object Tracking

Class used for calculating a sparse optical flow. More...

`#include <opencv2/video/tracking.hpp>`

Inheritance diagram for cv::SparsePyrLKOpticalFlow:

## Public Member Functions
virtual int | getFlags () const =0
virtual int | getMaxLevel () const =0
virtual double | getMinEigThreshold () const =0
virtual TermCriteria | getTermCriteria () const =0
virtual Size | getWinSize () const =0
virtual void | setFlags (int flags)=0
virtual void | setMaxLevel (int maxLevel)=0
virtual void | setMinEigThreshold (double minEigThreshold)=0
virtual void | setTermCriteria (TermCriteria &crit)=0
virtual void | setWinSize (Size winSize)=0
Public Member Functions inherited from cv::SparseOpticalFlow
virtual void | calc (InputArray prevImg, InputArray nextImg, InputArray prevPts, InputOutputArray nextPts, OutputArray status, OutputArray err=cv::noArray())=0
| Calculates a sparse optical flow. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< SparsePyrLKOpticalFlow > | create (Size winSize=Size(21, 21), int maxLevel=3, TermCriteria crit=TermCriteria(TermCriteria::COUNT+TermCriteria::EPS, 30, 0.01), int flags=0, double minEigThreshold=1e-4)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class used for calculating a sparse optical flow.

The class can calculate an optical flow for a sparse feature set using the iterative Lucas-Kanade method with pyramids.

See also
  calcOpticalFlowPyrLK

## Member Function Documentation

## ◆ create()

static Ptr<SparsePyrLKOpticalFlow> cv::SparsePyrLKOpticalFlow::create | ( | Size | winSize = `Size(21, 21)`,
|  | int | maxLevel = `3`,
|  | TermCriteria | crit = `TermCriteria(TermCriteria::COUNT+TermCriteria::EPS, 30, 0.01)`,
|  | int | flags = `0`,
|  | double | minEigThreshold = `1e-4`
| ) |  |
| static

Python:
| retval | = | cv.SparsePyrLKOpticalFlow_create( | [, winSize[, maxLevel[, crit[, flags[, minEigThreshold]]]]] | )

## ◆ getFlags()

virtual int cv::SparsePyrLKOpticalFlow::getFlags | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.SparsePyrLKOpticalFlow.getFlags( |  | )

## ◆ getMaxLevel()

virtual int cv::SparsePyrLKOpticalFlow::getMaxLevel | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.SparsePyrLKOpticalFlow.getMaxLevel( |  | )

## ◆ getMinEigThreshold()

virtual double cv::SparsePyrLKOpticalFlow::getMinEigThreshold | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.SparsePyrLKOpticalFlow.getMinEigThreshold( |  | )

## ◆ getTermCriteria()

virtual TermCriteria cv::SparsePyrLKOpticalFlow::getTermCriteria | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.SparsePyrLKOpticalFlow.getTermCriteria( |  | )

## ◆ getWinSize()

virtual Size cv::SparsePyrLKOpticalFlow::getWinSize | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.SparsePyrLKOpticalFlow.getWinSize( |  | )

## ◆ setFlags()

virtual void cv::SparsePyrLKOpticalFlow::setFlags | ( | int | flags | ) |
| pure virtual

Python:
| None | = | cv.SparsePyrLKOpticalFlow.setFlags( | flags | )

## ◆ setMaxLevel()

virtual void cv::SparsePyrLKOpticalFlow::setMaxLevel | ( | int | maxLevel | ) |
| pure virtual

Python:
| None | = | cv.SparsePyrLKOpticalFlow.setMaxLevel( | maxLevel | )

## ◆ setMinEigThreshold()

virtual void cv::SparsePyrLKOpticalFlow::setMinEigThreshold | ( | double | minEigThreshold | ) |
| pure virtual

Python:
| None | = | cv.SparsePyrLKOpticalFlow.setMinEigThreshold( | minEigThreshold | )

## ◆ setTermCriteria()

virtual void cv::SparsePyrLKOpticalFlow::setTermCriteria | ( | TermCriteria & | crit | ) |
| pure virtual

Python:
| None | = | cv.SparsePyrLKOpticalFlow.setTermCriteria( | crit | )

## ◆ setWinSize()

virtual void cv::SparsePyrLKOpticalFlow::setWinSize | ( | Size | winSize | ) |
| pure virtual

Python:
| None | = | cv.SparsePyrLKOpticalFlow.setWinSize( | winSize | )

The documentation for this class was generated from the following file:

- opencv2/video/tracking.hpp